package hiro.yoshioka.sdh.pair;

import hiro.yoshioka.sdh.StringRecordPairData;
import hiro.yoshioka.sdh.diff.DiffElementType;

public class FlashStringData extends DifferenceStringData {
	private static final long serialVersionUID = 4721805454197423205L;

	public FlashStringData(DiffElementType kind) {
		super(kind);
	}

	public StringRecordPairData createCopy() {
		FlashStringData ret = new FlashStringData(fDifferenceKind);
		ret.fParent = fParent;
		ret.fDiffString = fDiffString;
		return ret;
	}
}
